<!-- Load django-bootstrap files -->
{% load bootstrap5 %}
{% bootstrap_css %}
{% bootstrap_javascript %}
<!-- Load custom CSS/JavaScript files -->
{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="A Phase 10 scoring web-application designed to ease the task of keeping score.">
    <title>On Cloud 10</title>
    <link rel="shortcut icon" href="{% static 'favicon.ico' %}">
    <script src="{% static 'js/home.js' %}"></script>
    <script src="{% static 'js/jquery-3.7.1.min.js' %}"></script>
</head>
<body style="background-color: rgba(13, 64, 199, 0.8);">

    <div class="container-fluid">
        <div class="row">
            <div class="col-20">
                <div class="p-4 mb">
                    <div class="d-flex align-items-center">
                        <div class="bg-warning rounded-pill mx-auto fs-1 text-center" 
                        style="width: 300px;">On Cloud 10</div>
                    </div>
                </div>
            </div>
            <div class="col-20">
                <div class="p-4 mb">
                    <div class="d-flex align-items-center">
                        <div class="bg-warning rounded-pill mx-auto fs-5 text-center" 
                        style="width: 500px;">A Phase 10 scoring app built for friends and families!</div>
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="row mt-3 align-items-center d-flex flex-wrap">
                <div class="col-lg-6 text-center">
                    <form action="{% url 'new_game' %}" method="get">
                        <button type="submit" class="btn btn-lg p-md-5 rounded-circle"
                        style="background-color: rgb(50, 156, 50);
                        height: 240px; width: 240px;"
                        onmouseover="this.style.backgroundColor='rgb(60, 181, 60)';"
                        onmouseout="this.style.backgroundColor='rgb(50, 156, 50)';">Start New Game</button>
                    </form>
                </div>
                <div class="col-lg-6 text-center">
                    <button type="button" class="btn btn-lg p-md-5 rounded-circle"
                    style="background-color: rgb(233, 81, 81);
                    height: 240px; width: 240px" data-bs-toggle="modal"
                    data-bs-target="#loadGame"
                    onmouseover="this.style.backgroundColor='rgb(255, 95, 95)'"
                    onmouseout="this.style.backgroundColor='rgb(233, 81, 81)'">Load Game</button>

                    <div class="modal fade" id="loadGame" tabindex="-1" 
                    aria-labelledby="exampleModalLabel" aria-hidden="true">
                        <div class="modal-dialog">
                          <div class="modal-content">
                            <div class="modal-header">
                              <h1 class="modal-title fs-5" id="ModalLabel">Load a previous game</h1>
                              <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                            </div>
                            <form class="mb-1" method="get" id="game_code_form">
                                <div class="modal-body">
                                    <div class="form-floating mb-3" id="game_code_validation">
                                        <input type="number" class="form-control"
                                        placeholder="" required id="game_code">
                                        <label>Enter game code</label>
                                        <div class="invalid-feedback" style="font-weight: 400; 
                                        color: red; font-size: large;" id="invalid_game_code">
                                        </div>
                                    </div>
                                </div>
                                <div class="modal-footer">
                                  <button type="button" onclick="constructURL()" class="btn btn-primary" 
                                  id="load_game_btn">Load game</button>
                                </div>
                            </form>
                          </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

</body>
</html>